zenilib: zenilib/jni/external/freetype2/src/bdf/bdfdrivr.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions | Variables
bdfdrivr.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_BDF_H>`
`#include <FT_TRUETYPE_IDS_H>`
`#include <FT_SERVICE_BDF_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include "bdf.h"`
`#include "bdfdrivr.h"`
`#include "bdferror.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_bdfdriver

## Typedefs

typedef struct BDF_CMapRec_ * | BDF_CMap
typedef struct BDF_CMapRec_ | BDF_CMapRec

## Functions

| bdf_cmap_char_index (FT_CMap bdfcmap, FT_UInt32 charcode)
| bdf_cmap_char_next (FT_CMap bdfcmap, FT_UInt32 *acharcode)
| bdf_cmap_done (FT_CMap bdfcmap)
| bdf_cmap_init (FT_CMap bdfcmap, FT_Pointer init_data)
| bdf_driver_requester (FT_Module module, const char *name)
| BDF_Face_Done (FT_Face bdfface)
| BDF_Face_Init (FT_Stream stream, FT_Face bdfface, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
static FT_Error | bdf_get_bdf_property (BDF_Face face, const char *prop_name, BDF_PropertyRec *aproperty)
static FT_Error | bdf_get_charset_id (BDF_Face face, const char **acharset_encoding, const char **acharset_registry)
| BDF_Glyph_Load (FT_GlyphSlot slot, FT_Size size, FT_UInt glyph_index, FT_Int32 load_flags)
static FT_Error | bdf_interpret_style (BDF_Face bdf)
| BDF_Size_Request (FT_Size size, FT_Size_Request req)
| BDF_Size_Select (FT_Size size, FT_ULong strike_index)

## Variables

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec | bdf_cmap_class
FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec | bdf_driver_class
static const FT_Service_BDFRec | bdf_service_bdf
static const FT_ServiceDescRec | bdf_services []

## Macro Definition Documentation

#define FT_COMPONENT trace_bdfdriver

Definition at line 51 of file bdfdrivr.c.

## Typedef Documentation

typedef struct BDF_CMapRec_ * BDF_CMap

typedef struct BDF_CMapRec_ BDF_CMapRec

## Function Documentation

bdf_cmap_char_index | ( | FT_CMap | bdfcmap,
|  | FT_UInt32 | charcode
| ) |  |

Definition at line 91 of file bdfdrivr.c.

References cmap, encodings, max, and min.

bdf_cmap_char_next | ( | FT_CMap | bdfcmap,
|  | FT_UInt32 * | acharcode
| ) |  |

Definition at line 130 of file bdfdrivr.c.

References cmap, encodings, FT_TRACE1, max, and min.

bdf_cmap_done | ( | FT_CMap | bdfcmap | ) |

Definition at line 80 of file bdfdrivr.c.

References cmap, and NULL.

bdf_cmap_init | ( | FT_CMap | bdfcmap,
|  | FT_Pointer | init_data
| ) |  |

Definition at line 64 of file bdfdrivr.c.

References BDF_FaceRec_::bdffont, cmap, BDF_FaceRec_::en_table, FT_CMAP_FACE, FT_UNUSED, and bdf_font_t_::glyphs_used.

bdf_driver_requester | ( | FT_Module | module,
|  | const char * | name
| ) |  |

Definition at line 827 of file bdfdrivr.c.

References ft_service_list_lookup(), and FT_UNUSED.

BDF_Face_Done | ( | FT_Face | bdfface | ) |

Definition at line 312 of file bdfdrivr.c.

References bdf_free_font(), BDF_FaceRec_::bdffont, BDF_FaceRec_::charset_encoding, BDF_FaceRec_::charset_registry, BDF_FaceRec_::en_table, FT_FACE_MEMORY, and FT_FREE.

Referenced by BDF_Face_Init().

BDF_Face_Init | ( | FT_Stream | stream,
|  | FT_Face | bdfface,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 339 of file bdfdrivr.c.

References bdf_property_t_::atom, BDF_ATOM, BDF_Face_Done(), bdf_get_font_property(), bdf_interpret_style(), bdf_load_font(), BDF_PROPORTIONAL, BDF_FaceRec_::bdffont, BDF_FaceRec_::charset_encoding, BDF_FaceRec_::charset_registry, bdf_options_t_::correct_metrics, bdf_font_t_::default_char, BDF_FaceRec_::default_glyph, BDF_FaceRec_::en_table, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, error, FT_CharMapRec_::face, bdf_font_t_::font_ascent, bdf_font_t_::font_descent, bdf_options_t_::font_spacing, bdf_property_t_::format, FT_Bool, FT_CMap_New(), FT_FACE, FT_FACE_FLAG_FAST_GLYPHS, FT_FACE_FLAG_FIXED_SIZES, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_HORIZONTAL, FT_FACE_MEMORY, FT_MEM_ZERO, FT_NEW_ARRAY, FT_Pos, ft_strcmp, FT_STRDUP, FT_STREAM_SEEK, FT_TRACE1, FT_TRACE2, FT_TRACE4, FT_UINT_MAX, FT_UNUSED, bdf_font_t_::glyphs, bdf_font_t_::glyphs_size, bdf_font_t_::glyphs_used, FT_Bitmap_Size_::height, if(), bdf_options_t_::keep_comments, bdf_options_t_::keep_unencoded, bdf_property_t_::l, NULL, FT_CharMapRec_::platform_id, FT_Bitmap_Size_::size, TT_ADOBE_ID_STANDARD, TT_APPLE_ID_DEFAULT, TT_MS_ID_UNICODE_CS, TT_PLATFORM_ADOBE, TT_PLATFORM_APPLE_UNICODE, TT_PLATFORM_MICROSOFT, bdf_font_t_::unencoded_size, bdf_font_t_::unencoded_used, bdf_property_t_::value, FT_Bitmap_Size_::width, FT_Bitmap_Size_::x_ppem, and FT_Bitmap_Size_::y_ppem.

static FT_Error bdf_get_bdf_property | ( | BDF_Face | face,
|  | const char * | prop_name,
|  | BDF_PropertyRec * | aproperty
| ) |  |

static

Definition at line 743 of file bdfdrivr.c.

References bdf_property_t_::atom, BDF_PropertyRec_::atom, BDF_ATOM, BDF_CARDINAL, bdf_get_font_property(), BDF_INTEGER, BDF_PROPERTY_TYPE_ATOM, BDF_PROPERTY_TYPE_CARDINAL, BDF_PROPERTY_TYPE_INTEGER, BDF_FaceRec_::bdffont, BDF_PropertyRec_::cardinal, bdf_property_t_::format, FT_ASSERT, FT_TRACE1, if(), BDF_PropertyRec_::integer, bdf_property_t_::l, BDF_PropertyRec_::type, BDF_PropertyRec_::u, bdf_property_t_::ul, and bdf_property_t_::value.

static FT_Error bdf_get_charset_id | ( | BDF_Face | face,
|  | const char ** | acharset_encoding,
|  | const char ** | acharset_registry
| ) |  |

static

Definition at line 794 of file bdfdrivr.c.

References BDF_FaceRec_::charset_encoding, and BDF_FaceRec_::charset_registry.

BDF_Glyph_Load | ( | FT_GlyphSlot | slot,
|  | FT_Size | size,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 656 of file bdfdrivr.c.

References bdf_bbx_t_::ascent, bdf_glyph_t_::bbx, bdf_font_t_::bbx, BDF_FaceRec_::bdffont, bdf_glyph_t_::bitmap, bdf_font_t_::bpp, bdf_glyph_t_::bpr, BDF_FaceRec_::default_glyph, bdf_glyph_t_::dwidth, error, FT_FACE, ft_glyphslot_set_bitmap(), FT_PIXEL_MODE_GRAY, FT_PIXEL_MODE_GRAY2, FT_PIXEL_MODE_GRAY4, FT_PIXEL_MODE_MONO, FT_SIZE_FACE, ft_synthesize_vertical_metrics(), FT_TRACE1, FT_UNUSED, bdf_font_t_::glyphs, bdf_bbx_t_::height, int, FT_FaceRec_::num_glyphs, FT_Bitmap_::num_grays, FT_Bitmap_::pitch, FT_Bitmap_::pixel_mode, FT_Bitmap_::rows, bdf_bbx_t_::width, FT_Bitmap_::width, and bdf_bbx_t_::x_offset.

static FT_Error bdf_interpret_style | ( | BDF_Face | bdf | ) |

static

Definition at line 199 of file bdfdrivr.c.

References bdf_property_t_::atom, BDF_ATOM, bdf_get_font_property(), BDF_FaceRec_::bdffont, error, bdf_property_t_::format, FT_ALLOC, FT_FACE, ft_memcpy, ft_strlen, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_FaceRec_::memory, NULL, FT_FaceRec_::style_flags, FT_FaceRec_::style_name, and bdf_property_t_::value.

Referenced by BDF_Face_Init().

BDF_Size_Request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

Definition at line 616 of file bdfdrivr.c.

References FT_FaceRec_::available_sizes, BDF_Size_Select(), error, bdf_font_t_::font_ascent, bdf_font_t_::font_descent, FT_REQUEST_HEIGHT, FT_SIZE_REQUEST_TYPE_NOMINAL, FT_SIZE_REQUEST_TYPE_REAL_DIM, and FT_Bitmap_Size_::y_ppem.

BDF_Size_Select | ( | FT_Size | size,
|  | FT_ULong | strike_index
| ) |  |

Definition at line 599 of file bdfdrivr.c.

References bdf_font_t_::bbx, bdf_font_t_::font_ascent, bdf_font_t_::font_descent, FT_Select_Metrics(), and bdf_bbx_t_::width.

Referenced by BDF_Size_Request().

## Variable Documentation

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec bdf_cmap_class

Initial value:
=
{
sizeof ( BDF_CMapRec ),
bdf_cmap_init,
bdf_cmap_done,
bdf_cmap_char_index,
bdf_cmap_char_next,
NULL, NULL, NULL, NULL, NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
bdf_cmap_init
bdf_cmap_init(FT_CMap bdfcmap, FT_Pointer init_data)
Definition: bdfdrivr.c:64
bdf_cmap_char_index
bdf_cmap_char_index(FT_CMap bdfcmap, FT_UInt32 charcode)
Definition: bdfdrivr.c:91
bdf_cmap_done
bdf_cmap_done(FT_CMap bdfcmap)
Definition: bdfdrivr.c:80
BDF_CMapRec
struct BDF_CMapRec_ BDF_CMapRec
bdf_cmap_char_next
bdf_cmap_char_next(FT_CMap bdfcmap, FT_UInt32 *acharcode)
Definition: bdfdrivr.c:130

Definition at line 186 of file bdfdrivr.c.

FT_CALLBACK_TABLE_DEF const FT_Driver_ClassRec bdf_driver_class

Definition at line 838 of file bdfdrivr.c.

const FT_Service_BDFRec bdf_service_bdf

static

Initial value:
=
{
(FT_BDF_GetCharsetIdFunc)bdf_get_charset_id,
(FT_BDF_GetPropertyFunc) bdf_get_bdf_property
}
bdf_get_charset_id
static FT_Error bdf_get_charset_id(BDF_Face face, const char **acharset_encoding, const char **acharset_registry)
Definition: bdfdrivr.c:794
bdf_get_bdf_property
static FT_Error bdf_get_bdf_property(BDF_Face face, const char *prop_name, BDF_PropertyRec *aproperty)
Definition: bdfdrivr.c:743
FT_BDF_GetPropertyFunc
FT_Error(* FT_BDF_GetPropertyFunc)(FT_Face face, const char *prop_name, BDF_PropertyRec *aproperty)
Definition: svbdf.h:37
FT_BDF_GetCharsetIdFunc
FT_Error(* FT_BDF_GetCharsetIdFunc)(FT_Face face, const char **acharset_encoding, const char **acharset_registry)
Definition: svbdf.h:32

Definition at line 805 of file bdfdrivr.c.

const FT_ServiceDescRec bdf_services[]

static

Initial value:
=
{
{ FT_SERVICE_ID_BDF, &bdf_service_bdf },
{ FT_SERVICE_ID_XF86_NAME, FT_XF86_FORMAT_BDF },
{ NULL, NULL }
}
NULL
#define NULL
Definition: ftobjs.h:61
bdf_service_bdf
static const FT_Service_BDFRec bdf_service_bdf
Definition: bdfdrivr.c:805
FT_XF86_FORMAT_BDF
#define FT_XF86_FORMAT_BDF
Definition: svxf86nm.h:38
FT_SERVICE_ID_BDF
#define FT_SERVICE_ID_BDF
Definition: svbdf.h:29
FT_SERVICE_ID_XF86_NAME
#define FT_SERVICE_ID_XF86_NAME
Definition: svxf86nm.h:34

Definition at line 818 of file bdfdrivr.c.